summaryrefslogtreecommitdiff
path: root/scripts/functions
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/functions')
-rw-r--r--scripts/functions6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/functions b/scripts/functions
index 03834c7..fa2de6e 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -347,6 +347,10 @@ _checkfs_once()
TYPE=$(get_fstype "$1")
FSCKCODE=0
+ if ! command -v fsck >/dev/null 2>&1; then
+ log_warning_msg "fsck not present, so skipping $NAME file system"
+ return
+ fi
if [ "$fastboot" = "y" ] ; then
log_warning_msg "Fast boot enabled, so skipping $NAME file system check."
return
@@ -402,7 +406,7 @@ _checkfs_once()
log_warning_msg "File system check failed but did not detect errors"
sleep 5
else
- touch $FSCK_STAMPFILE
+ > $FSCK_STAMPFILE
fi
return 0
}